Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-R
BuildRequires: tex(dehypht.tex) texlive-dist
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname   BufferedMatrix
%global Rvers      3.4.0

Name:              R-%{packname}
Version:           1.60.0
Release:           alt1_7
Summary:           A matrix data storage object method from bioconductor
Summary(fr):       Stockage des données d'un matrice dans un fichier temporaire
License:           LGPLv2+
URL:               http://bioconductor.org/packages/release/bioc/html/BufferedMatrix.html
Source0:           http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRequires:     R-devel >= %{Rvers} tex(latex) R-base R-tcltk
Source44: import.info
ExcludeArch: %R_exclude_arches

%package           devel
Group: Other
Summary:           Development files for %{name}
Requires:          %{name} = %{version}-%{release}

%description
A tabular style data object where most data is stored outside main memory.
A buffer is used to speed up access to data.

This library is part of the bioconductor (bioconductor.org) project.

%description -l fr
Une table de données dans laquelle la plus part des données sont stocké,
en dehors de la mémoire principale. Une mémoire tampon est utilisé pour
accélérer l'accès aux données.

%description    devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -c -q -n %{packname}

%build

%install
rm -rf %{buildroot}i
sed -i -e 's/\r$//' %{packname}/inst/doc/BufferedMatrix.Rnw

mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}

# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

## Change the header of place for the -devel --> Removed
## see: https://www.redhat.com/archives/fedora-r-devel-list/2009-March/msg00001.html

#mkdir -p  $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/include/
#install -D %{packname}/inst/include/*  $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/include/
#chmod -x $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/include/*
#rm -rf %{buildroot}%{_libdir}/R/library/%{packname}/include/

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta/
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/libs/
%{_libdir}/R/library/%{packname}/NAMESPACE
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html

%files		devel
%{_libdir}/R/library/%{packname}/include/


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.60.0-alt1_7
- update to new release by fcimport

* Sat Sep 16 2023 Igor Vlasenko <viy@altlinux.org> 1.60.0-alt1_5
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.60.0-alt1_2
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.60.0-alt1_1
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.56.0-alt1_3
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.56.0-alt1_2
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 1.56.0-alt1_1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.54.0-alt1_1
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.52.0-alt2_2
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.52.0-alt1_2
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.52.0-alt1_1
- update to new release by fcimport

* Thu Apr 09 2020 Igor Vlasenko <viy@altlinux.ru> 1.50.0-alt1_2
- update to new release by fcimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.44.0-alt1_5
- new version

